<?php
/*
 * AlphaCMS Bootstrap 1.5.4 Johncms 7.1.0 (http://socialbux.epizy.com)
 *
 * For copyright and license information, please see the LICENSE.md
 * Installing the system or redistributions of files must retain the above copyright notice.
 *
 * @CMS          Johncms 7.1.0
 * @link         http://facebook.com   Emmanuel Oyewale
 * @email       Tunzxywalexdevmaster@gmail.com
 * @Whatsapp    +2349076642400
 * @copyright   Copyright (C) Socialbux Community 2018-2023
 * @license     Premium Version Licence
 */

define('_IN_JOHNCMS', 1);
require '../system/bootstrap.php';

/** @var Psr\Container\ContainerInterface $container */
$container = App::getContainer();

/** @var PDO $db */
$db = $container->get(PDO::class);

$req = $db->query('SELECT `id`, `about` FROM `users`');
$stmt = $db->prepare('UPDATE `users` SET `about` = ? WHERE `id` = ?');

while ($res = $req->fetch()) {
    if (!empty($res['about'])) {
        $out = str_replace('<br />', '', $res['about']);
        $out = html_entity_decode($out, ENT_QUOTES, 'UTF-8');
        $stmt->execute([$out, $res['id']]);
    }
}

echo 'Converting is completed';
